Subject: Ticket Assigned - Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund?
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sat, 11 Jun 2022 04:09:12 +0000

Hi Shehanah Khalid,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Feedback for:  I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Hello Dear, 
I Payment My cancel Order.But Not back my refunds.But Why? Please Refunds My Blanche https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4480224